post
https://{host}/quality-on-demand/v1/retrieve-sessions
Querying for QoS session resource information details for a device
NOTES:
- The access token may be either 2-legged or 3-legged.
- If a 3-legged access token is used, the subject associated with the session must also be associated with the access token. In this case the optional
deviceparameter MUST NOT be provided in the request. - If a 2-legged access token is used, the device parameter must be provided and identify a device.
- If a 3-legged access token is used, the subject associated with the session must also be associated with the access token. In this case the optional
- The session must have been created by the same API consumer given in the access token
- If no QoS session is found for the requested device, an empty array is returned.
- This call uses the POST method instead of GET to comply with the CAMARA Commonalities guidelines for sending sensitive or complex data in API calls. Since the device field may contain personally identifiable information, it should not be sent via GET.
CAMARA API Design Guidelines